Accounts
Upload account avatar
Uploads and normalizes the account’s avatar. Only the account itself may set it.
PUT
/
accounts
/
{username}
/
avatar
/
Upload account avatar
curl --request PUT \
--url https://api.example.com/accounts/{username}/avatar/ \
--header 'Content-Type: multipart/form-data'import requests
url = "https://api.example.com/accounts/{username}/avatar/"
headers = {"Content-Type": "multipart/form-data"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {'Content-Type': 'multipart/form-data'}};
fetch('https://api.example.com/accounts/{username}/avatar/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"emailAddress": "<string>",
"isActivated": true,
"isAdmin": true,
"isSuspended": true,
"updatedAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"avatarUrl": "<string>",
"displayName": "<string>"
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}Path Parameters
Public handle of the account.
Required string length:
3 - 32Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Body
multipart/form-data
multipart form data
Response
Represents an account.
Represents an account.
Timestamp when the account was created.
Email address associated with the account.
Whether the account email has been verified.
Whether the account has administrator privileges.
Whether the account is currently suspended.
Timestamp when the account was last updated.
Public handle of the account.
Required string length:
3 - 32Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Serve path of the account's avatar, when set.
Display name of the account holder, when set.
Upload account avatar
